OperationsTransfer details

Transfer details

Full data for an outgoing transfer: initiator, sender address, decimal amount, token contractAddress, policy decision.

curl -X GET "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/transfers/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "id": "cmr3f41z20001psp7phmyapw3",
  "vaultId": "example_string",
  "fromAddressId": "123 Main St",
  "initiatorId": "example_string",
  "toAddress": "123 Main St",
  "amount": "example_string",
  "asset": "example_string",
  "network": "example_string",
  "status": "example_string",
  "txHash": "example_string",
  "fee": "example_string",
  "decisionPolicyId": "example_string",
  "decisionPolicyCode": "example_string",
  "decisionPolicyName": "John Doe",
  "failureReason": "example_string",
  "createdAt": "2026-07-02T11:25:15.134000Z",
  "confirmedAt": "2026-07-02T11:25:15.134000Z",
  "updatedAt": "2026-07-02T11:25:15.134000Z",
  "vault": {
    "id": "example_string",
    "code": "test_vault",
    "name": "John Doe"
  },
  "initiator": {
    "id": "example_string",
    "name": "John Doe",
    "email": "user@example.com",
    "username": "John Doe",
    "image": "example_string",
    "color": "#000",
    "emoji": "🦊"
  },
  "counterparty": {
    "id": "example_string",
    "name": "John Doe",
    "kind": "example_string"
  },
  "fromAddress": {
    "id": "cmr3f41z20001psp7phmyapw3",
    "address": "123 Main St",
    "derivationPath": "example_string",
    "network": "example_string"
  },
  "contractAddress": "123 Main St",
  "approvalThreshold": 42,
  "approvers": [
    {
      "id": "example_string",
      "userId": "admin-1",
      "decision": "approve",
      "comment": "example_string",
      "votedAt": "2026-07-02T11:25:15.134000Z",
      "createdAt": "2026-07-02T11:25:15.134000Z",
      "user": {
        "id": "example_string",
        "name": "John Doe",
        "email": "user@example.com",
        "username": "John Doe",
        "image": "example_string",
        "color": "#000",
        "emoji": "🦊"
      }
    }
  ],
  "usdRate": "0.0123762376",
  "usdRateAsOf": "2026-07-02T11:25:15.134000Z",
  "usdRateSource": "esim.cash",
  "amountDecimal": "1.5",
  "assetSymbol": "USDT"
}
GET
/api/v1/vaults/{code}/transfers/{id}
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Session token. Mobile/services. The web uses a cookie.

Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
Required

API key (sent in cookie)

path
codestring
Required

Unique Vault code (slug)

path
idstring
Required

Transfer id (cuid)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Session token. Mobile/services. The web uses a cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Path Parameters

codestring
Required

Unique Vault code (slug)

Example:
demo_vault
idstring
Required

Transfer id (cuid)

Responses

idstring
Required

cuid

vaultIdstring
Required
fromAddressIdstring
Required
initiatorIdstring
Required
toAddressstring
Required
amountstring
Required
assetstring
Required
networkstring
Required
statusstring
Required
txHashstring
Required
feestring
Required
decisionPolicyIdstring
Required
decisionPolicyCodestring
Required
decisionPolicyNamestring
Required

Human-readable name of the deciding policy (for the UI instead of the code)

failureReasonstring
Required
createdAtstring
Required
confirmedAtstring
Required
updatedAtstring
Required
vaultobject
Required
initiatorobject
Required

Initiator profile (for an approver, a "ward")

counterpartystring
Required
fromAddressobject
Required
contractAddressstring
Required
approvalThresholdstring
Required
approversarray
Required

Snapshot of approvers + their votes (for transfers that require approval)

usdRatestring
Required

Token rate in USD at the time of CREATION (USD per 1 unit); null means unavailable

usdRateAsOfstring
Required
usdRateSourcestring
Required
amountDecimalstring
Required
assetSymbolstring
Required